| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
PDSS_IdealGas Class Reference
Thermodynamic Properties » Species Standard-State Thermodynamic Properties

Derived class for pressure dependent standard states of an ideal gas species. More...

`#include <PDSS_IdealGas.h>`

Inheritance diagram for PDSS_IdealGas:
[legend]

## Detailed Description

Derived class for pressure dependent standard states of an ideal gas species.

This class is for a single Ideal Gas species.

Deprecated:
  To be removed after Cantera 3.0.

Definition at line 25 of file PDSS_IdealGas.h.

## Public Member Functions
| PDSS_IdealGas ()
| Default Constructor.
Molar Thermodynamic Properties of the Species Standard State
double | intEnergy_mole () const override
| Return the molar internal Energy in units of J kmol-1.
double | cv_mole () const override
| Return the molar const volume heat capacity in units of J kmol-1 K-1.
Mechanical Equation of State Properties
double | pressure () const override
| Returns the pressure (Pa)
void | setPressure (double pres) override
| Sets the pressure in the object.
void | setTemperature (double temp) override
| Set the internal temperature.
void | setState_TP (double temp, double pres) override
| Set the internal temperature and pressure.
void | setState_TR (double temp, double rho) override
| Set the internal temperature and density.
Initialization of the Object
void | initThermo () override
| Initialization routine.
void | getParameters (AnyMap &eosNode) const override
| Store the parameters needed to reconstruct a copy of this PDSS object.
Public Member Functions inherited from PDSS_Nondimensional
double | enthalpy_mole () const override
| Return the molar enthalpy in units of J kmol-1.
double | entropy_mole () const override
| Return the molar entropy in units of J kmol-1 K-1.
double | gibbs_mole () const override
| Return the molar Gibbs free energy in units of J kmol-1.
double | cp_mole () const override
| Return the molar const pressure heat capacity in units of J kmol-1 K-1.
double | enthalpy_RT_ref () const override
| Return the molar enthalpy divided by RT at reference pressure.
double | entropy_R_ref () const override
| Return the molar entropy divided by R at reference pressure.
double | gibbs_RT_ref () const override
| Return the molar Gibbs free energy divided by RT at reference pressure.
double | cp_R_ref () const override
| Return the molar heat capacity divided by R at reference pressure.
double | molarVolume_ref () const override
| Return the molar volume at reference pressure.
double | enthalpy_RT () const override
| Return the standard state molar enthalpy divided by RT.
double | entropy_R () const override
| Return the standard state entropy divided by RT.
double | gibbs_RT () const override
| Return the molar Gibbs free energy divided by RT.
double | cp_R () const override
| Return the molar const pressure heat capacity divided by RT.
double | molarVolume () const override
| Return the molar volume at standard state.
double | density () const override
| Return the standard state density at standard state.
Public Member Functions inherited from PDSS
virtual double | temperature () const
| Return the current stored temperature.
virtual double | critTemperature () const
| critical temperature
virtual double | critPressure () const
| critical pressure
virtual double | critDensity () const
| critical density
virtual double | satPressure (double T)
| saturation pressure
double | molecularWeight () const
| Return the molecular weight of the species in units of kg kmol-1.
void | setMolecularWeight (double mw)
| Set the molecular weight of the species.
| PDSS ()=default
| Default Constructor.
| PDSS (const PDSS &b)=delete
PDSS & | operator= (const PDSS &b)=delete
virtual double | enthalpyDelp_mole () const
| Get the difference in the standard state enthalpy between the current pressure and the reference pressure, p0.
virtual double | entropyDelp_mole () const
| Get the difference in the standard state entropy between the current pressure and the reference pressure, p0.
virtual double | gibbsDelp_mole () const
| Get the difference in the standard state Gibbs free energy between the current pressure and the reference pressure, p0.
virtual double | cpDelp_mole () const
| Get the difference in standard state heat capacity between the current pressure and the reference pressure, p0.
double | refPressure () const
| Return the reference pressure for this phase.
double | minTemp () const
| return the minimum temperature
double | maxTemp () const
| return the minimum temperature
virtual double | thermalExpansionCoeff () const
| Return the volumetric thermal expansion coefficient. Units: 1/K.
void | setReferenceThermo (shared_ptr< SpeciesThermoInterpType > stit)
| Set the SpeciesThermoInterpType object used to calculate reference state properties.
virtual void | setParent (VPStandardStateTP *phase, size_t k)
| Set the parent VPStandardStateTP object of this PDSS object.
void | setParameters (const AnyMap &node)
| Set model parameters from an AnyMap phase description, for example from the `equation-of-state` field of a species definition.
virtual void | reportParams (size_t &kindex, int &type, double *const c, double &minTemp, double &maxTemp, double &refPressure) const
| This utility function reports back the type of parameterization and all of the parameters for the species, index.

## Additional Inherited Members
Protected Attributes inherited from PDSS_Nondimensional
double | m_h0_RT
| Reference state enthalpy divided by RT.
double | m_cp0_R
| Reference state heat capacity divided by R.
double | m_s0_R
| Reference state entropy divided by R.
double | m_g0_RT
| Reference state Gibbs free energy divided by RT.
double | m_V0
| Reference state molar volume (m^3/kmol)
double | m_hss_RT
| Standard state enthalpy divided by RT.
double | m_cpss_R
| Standard state heat capacity divided by R.
double | m_sss_R
| Standard state entropy divided by R.
double | m_gss_RT
| Standard state Gibbs free energy divided by RT.
double | m_Vss
| Standard State molar volume (m^3/kmol)
Protected Attributes inherited from PDSS
double | m_temp = -1.0
| Current temperature used by the PDSS object.
double | m_pres = -1.0
| State of the system - pressure.
double | m_p0 = -1.0
| Reference state pressure of the species.
double | m_minTemp = -1.0
| Minimum temperature.
double | m_maxTemp = 10000.0
| Maximum temperature.
double | m_mw = 0.0
| Molecular Weight of the species.
AnyMap | m_input
| Input data supplied via setParameters.
shared_ptr< SpeciesThermoInterpType > | m_spthermo
| Pointer to the species thermodynamic property manager.

## Constructor & Destructor Documentation

## ◆ PDSS_IdealGas()

PDSS_IdealGas | ( |  | ) |

Default Constructor.

Definition at line 17 of file PDSS_IdealGas.cpp.

## Member Function Documentation

## ◆ intEnergy_mole()

double intEnergy_mole | ( |  | ) | const
| override virtual

Return the molar internal Energy in units of J kmol-1.

Returns
  The species standard state internal Energy in J kmol-1 at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 36 of file PDSS_IdealGas.cpp.

## ◆ cv_mole()

double cv_mole | ( |  | ) | const
| override virtual

Return the molar const volume heat capacity in units of J kmol-1 K-1.

Returns
  The species standard state Cv in J kmol-1 K-1 at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 41 of file PDSS_IdealGas.cpp.

## ◆ pressure()

double pressure | ( |  | ) | const
| override virtual

Returns the pressure (Pa)

Reimplemented from PDSS.

Definition at line 46 of file PDSS_IdealGas.cpp.

## ◆ setPressure()

void setPressure | ( | double | pres | ) |
| override virtual

Sets the pressure in the object.

Currently, this sets the pressure in the PDSS object. It is indeterminant what happens to the owning VPStandardStateTP object.

Parameters

  pres | Pressure to be set (Pascal)

Reimplemented from PDSS.

Definition at line 51 of file PDSS_IdealGas.cpp.

## ◆ setTemperature()

void setTemperature | ( | double | temp | ) |
| override virtual

Set the internal temperature.

Parameters

  temp | Temperature (Kelvin)

Reimplemented from PDSS.

Definition at line 58 of file PDSS_IdealGas.cpp.

## ◆ setState_TP()

void setState_TP | ( | double | temp,
|  | double | pres
| ) |  |
| override virtual

Set the internal temperature and pressure.

Parameters

  temp | Temperature (Kelvin)
  pres | pressure (Pascals)

Reimplemented from PDSS.

Definition at line 71 of file PDSS_IdealGas.cpp.

## ◆ setState_TR()

void setState_TR | ( | double | temp,
|  | double | rho
| ) |  |
| override virtual

Set the internal temperature and density.

Parameters

  temp | Temperature (Kelvin)
  rho | Density (kg m-3)

Deprecated:
  To be removed after Cantera 3.0

Reimplemented from PDSS.

Definition at line 77 of file PDSS_IdealGas.cpp.

## ◆ initThermo()

void initThermo | ( |  | ) |
| override virtual

Initialization routine.

This is a cascading call, where each level should call the the parent level.

Reimplemented from PDSS.

Definition at line 22 of file PDSS_IdealGas.cpp.

## ◆ getParameters()

void getParameters | ( | AnyMap & | eosNode | ) | const
| override virtual

Store the parameters needed to reconstruct a copy of this PDSS object.

Reimplemented from PDSS.

Definition at line 30 of file PDSS_IdealGas.cpp.

The documentation for this class was generated from the following files:

- PDSS_IdealGas.h
- PDSS_IdealGas.cpp